/********************************************************************
 *                              Dircms后台JS
 *                            ----------------------
 *   begin                : 2009-12-22
 *   copyright            : (C) 2009 DirCMS.cn
 *
 *   $Id: admin.js, 2009-12-22 M Exp $
 ********************************************************************/
function killerror()
{
	return true;	
}
window.onerror=killerror;

function lefttoggle(id)
{
	if($('#nav_'+id).attr('class')=='div_bigmenu_nav_down')
	{
		$('#nav_'+id).removeClass("div_bigmenu_nav_down");
		$('#nav_'+id).addClass("div_bigmenu_nav_left");
		$('#ul_'+id).hide();
	}
	else
	{
		$('#nav_'+id).removeClass("div_bigmenu_nav_left");
		$('#nav_'+id).addClass("div_bigmenu_nav_down");
		$('#ul_'+id).show();
	}
}

$(function() {
	$('#list tr:even').addClass('bg2');
	$('#list tr').hover( function () { $(this).addClass('tr_hover'); } , function () { $(this).removeClass('tr_hover'); } );
	$('#list :checkbox').each(function(){
		$(this).click(function() {
			var id = $(this).val();
			if ($(this).attr('checked')) {
				$('#row_'+id).addClass('highlight');
			} else {
				$('#row_'+id).removeClass('highlight');
			}
		});
	});
});

function check_all(ck) {
	if ($(ck).attr('checked')) {
		$("form :input[name='id[]']").each(function() {
			$(this).attr('checked','checked');
			$(this).parent().parent().addClass('highlight');
		});
	} else {
		$("form :input[name='id[]']").each(function() {
			$(this).removeAttr('checked');
			$(this).parent().parent().removeClass('highlight');
		});
	}
}

function check_all_bycatid(ck) {
	if ($(ck).attr('checked')) {
		$("form :input[name='catid[]']").each(function() {
			$(this).attr('checked','checked');
			$(this).parent().parent().addClass('highlight');
		});
	} else {
		$("form :input[name='catid[]']").each(function() {
			$(this).removeAttr('checked');
			$(this).parent().parent().removeClass('highlight');
		});
	}
}
	
function check_all_byname(ck) {
	if ($(ck).attr('checked')) {
		$("form :input[name='name[]']").each(function() {
			$(this).attr('checked','checked');
			$(this).parent().parent().addClass('highlight');
		});
	} else {
		$("form :input[name='name[]']").each(function() {
			$(this).removeAttr('checked');
			$(this).parent().parent().removeClass('highlight');
		});
	}
}

function check_all_bycheckedid(ck) {
	if ($(ck).attr('checked')) {
		$("form :input[name='checkedid[]']").each(function() {
			$(this).attr('checked','checked');
			$(this).parent().parent().addClass('highlight');
		});
	} else {
		$("form :input[name='checkedid[]']").each(function() {
			$(this).removeAttr('checked');
			$(this).parent().parent().removeClass('highlight');
		});
	}
}

function show_catmenu(id)
{
	if(document.getElementById('cat_span_'+id).style.display=='')
	{
		document.getElementById('cat_span_'+id).style.display='none';
		document.getElementById('cat_li_'+id).className='folder-closed_li';
	}
	else
	{
		document.getElementById('cat_span_'+id).style.display='';
		document.getElementById('cat_li_'+id).className='folder_li';
	}
}

function show_small_catmenu(id)
{
	if(document.getElementById('cat_span_'+id).style.display=='')
	{
		document.getElementById('cat_span_'+id).style.display='none';
		document.getElementById('cat_li_'+id).className='plus_li';
	}
	else
	{
		document.getElementById('cat_span_'+id).style.display='';
		document.getElementById('cat_li_'+id).className='minus_li';
	}
}

function confirmUrl(msg,url)
{
	if(confirm(msg)){
		self.location.href=url;
		return true;
	}
}

function copy(content)
{
	window.clipboardData.setData("Text",content);
	alert('复制成功,现在可以直接黏贴!');
}

function createcat(catid)
{
	document.getElementById('hidecatid').value=catid;
	document.getElementById('createcatform').submit();
}